part of 'pin_bloc.dart';

abstract class PinEvent extends Equatable {
  const PinEvent();

  @override
  List<Object> get props => [];
}

class NumberPressed extends PinEvent {
  final String number;

  const NumberPressed(this.number);

  @override
  List<Object> get props => [number];
}

class BackspacePressed extends PinEvent {}

class SavePinPressed extends PinEvent {}

class VerifyPinPressed extends PinEvent {
  final String pin;

  const VerifyPinPressed(this.pin);

  @override
  List<Object> get props => [pin];
}
